function showOverlay() {  
    // Erstelle das Overlay
    let overlay = document.createElement('div');
    overlay.style.position = 'fixed';
    overlay.style.top = '0';
    overlay.style.left = '0';
    overlay.style.width = '100vw';
    overlay.style.height = '100vh';
    overlay.style.backgroundColor = 'rgba(70, 65, 65, 0.8)';
    overlay.style.zIndex = '9999';
    overlay.style.display = 'flex';  // Wende Flexbox auf das Overlay an
    overlay.style.justifyContent = 'center';  // Horizontale Zentrierung
    overlay.style.alignItems = 'center';      // Vertikale Zentrierung
    //overlay.style.pointerEvents = 'none'; // Klicks durchlassen, wenn nötig
    //document.body.appendChild(overlay);

    // Erstelle das Text-Element
    let overlayText = document.createElement('div');
    overlayText.innerText = "Diese Seite wird von CoFlow geblockt";
    overlayText.style.textAlign  = "Center";
    overlayText.style.color = 'red';
    overlayText.style.fontSize = '40px';
    overlayText.style.padding = '5rem';
    overlayText.style.backgroundColor = 'rgba(0, 0, 0, 0.7)';
    overlayText.style.borderRadius = '10px';

    // Füge den Text zum Overlay hinzu
    overlay.appendChild(overlayText);

    // Füge das Overlay zum Body hinzu
    document.body.appendChild(overlay);

    document.body.style.overflow = 'hidden';
    document.documentElement.style.overflow = 'hidden';
}

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    if (message.action === "showOverlay") {
        showOverlay();
        pauseVideo();
    }
});

// Funktion zum Pausieren des Videos im Ziel-Tab
function pauseVideo(tabId) {
    let video = document.querySelector('video');
    if (video && !video.paused) {
        video.pause(); // Pausiert das Video
        console.log('Video auf Tab ' + document.title + ' pausiert.');
    }
}
